diff --git a/tests/utils.py b/tests/utils.py
index 605b167b..a6f32a9e 100644
--- a/tests/utils.py
+++ b/tests/utils.py
@@ -102,36 +102,40 @@ class ResponsesSoap:
                 finally:
                     if request_check:
                         request = operation.input.deserialize(doc.getroot())
                         request_check(request)
             return False, None
 
         return matcher
 
-    def add_soap_response(self, mock, operation_name, response_content, request_check=None):
+    def add_soap_response(self, mock, operation_name, response_content, status=200, request_check=None):
         operation = self.binding.get(operation_name)
-        doc = ET.parse(io.BytesIO(response_content))
-        try:
-            operation.output.deserialize(doc.getroot())
-        except Exception as e:
-            raise AssertionError(f'response_content did not match operation "{operation_name}" schema') from e
+        if not isinstance(response_content, Exception):
+            doc = ET.parse(io.BytesIO(response_content))
+            try:
+                operation.output.deserialize(doc.getroot())
+            except Exception as e:
+                raise AssertionError(
+                    f'response_content did not match operation "{operation_name}" schema'
+                ) from e
         mock.add(
             responses.POST,
             self.address,
             body=response_content,
-            status=200,
+            status=status,
             match=(self.soap_matcher(operation_name, request_check),),
         )
 
     @contextlib.contextmanager
     def __call__(self):
         with responses.RequestsMock() as mock:
             mock.add(responses.GET, self.wsdl_url, body=self.wsdl_content, status=200)
             mock.add_soap_response = (
-                lambda operation, response_content, request_check=None: self.add_soap_response(
+                lambda operation, response_content, status=200, request_check=None: self.add_soap_response(
                     mock,
                     operation,
                     response_content,
+                    status=status,
                     request_check=request_check,
                 )
             )
             yield mock
-- 
2.30.2

